> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending frontend tool executions.

> Pending confirm-mode frontend tool executions for a conversation, so the
widget can re-render confirm buttons after a reload.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /frontend-tools/pending
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /frontend-tools/pending:
    get:
      tags:
        - FrontendTools
      summary: List pending frontend tool executions.
      description: |-
        Pending confirm-mode frontend tool executions for a conversation, so the
        widget can re-render confirm buttons after a reload.
      operationId: GetPending
      parameters:
        - in: query
          name: conversationId
          required: false
          schema:
            type: string
        - in: query
          name: ticketId
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  properties:
                    expiresAt: {}
                    ticketId: {}
                    conversationId: {}
                    executionMode:
                      type: string
                    params: {}
                    name: {}
                    toolCallId: {}
                  required:
                    - expiresAt
                    - ticketId
                    - conversationId
                    - executionMode
                    - params
                    - name
                    - toolCallId
                  type: object
                type: array
      security: []

````